1. E-sign Documents
  • Test
    • Landing
  • Endpoints
    • Verifications
      • Create a verification
      • Get a verification
      • Delete a verification
      • Resend a verification
      • Reset a verification
      • Approve a verification check result
      • Approve Quick IDV result (deprecated)
      • Approve PEP result (deprecated)
      • Create and run a verification
      • Create and run a company verification
      • Approve FaceMatch result (deprecated)
    • Outsourced Verifications
      • Create an outsourced verification
      • Get an outsourced verification
      • Delete an outsourced verification
    • Risk Assessment
      • Create a risk rating
      • Get risk rating details
    • E-sign Templates
      • List e-sign templates
      • Fetch an e-sign template
    • E-sign Documents
      • List e-sign documents
        GET
      • Create an e-sign draft document
        POST
      • Fetch an e-sign document
        GET
      • Update an e-sign draft document
        PATCH
      • Delete an e-sign document
        DELETE
      • Duplicate an e-sign document
        POST
      • Create an e-sign iframe builder session
        POST
      • Send an e-sign document
        POST
      • Resend an e-sign document
        POST
      • Reinitiate an e-sign document
        POST
      • Void an e-sign document
        POST
    • Form Submissions
      • Create a form submission
      • Fetch a form submission
      • Delete a form submission
      • Resend a form submission
  • Schemas
    • VerificationRequest
    • VerificationCompanyRequest
    • VerificationSimple
    • Verification
    • VerificationCompany
    • OutsourcedVerificationRequest
    • OutsourcedVerificationSimple
    • OutsourcedVerification
    • OutsourcedVerificationType
    • OutsourcedVerificationStatus
    • OutsourcedVerificationResult
    • OutsourcedVerificationIndividual
    • VerificationType
    • VerificationResultSource
    • Result
    • PepResult
    • PepType
    • PepHit
    • DocumentOCRData
    • FaceMatchVoiResult
    • NationalIdTypes
    • BadRequest
    • Metadata
    • PersonName
    • PersonBirthDate
    • ContactMethods
    • AddressFields
    • GeoCoordinates
    • NationalIdBundle
    • VerificationAlgorithmSelection
    • VerificationIdentityResponse
    • VerificationCoreResponse
    • VerificationAddressResponse
    • VerificationNationalIdsResponse
    • VerificationMetadataResponse
    • OtherCountries
    • OutsourcedContactMethods
    • OutsourcedOrgTracking
    • OutsourcedCore
    • CompanyContactMethods
    • CompanyCore
    • CompanyTracking
    • VerificationResendRequest
    • RiskLevel
    • RiskAnswer
    • RiskSection
    • RiskQuestion
    • RiskRatingAnswer
    • RiskRating
    • RiskRatingCreateRequest
    • FormSubmissionCreateRequest
    • FormSubmission
    • FormSubmissionUser
    • FormSubmissionForm
    • FormSubmissionVerification
    • FormSubmissionValue
    • ESignTwoFactorMethod
    • ESignEnvelopeStatus
    • ESignRecipientStatus
    • ESignFieldType
    • ESignFieldDefaultValueMode
    • ESignTemplateRecipientRole
    • ESignTemplate
    • ESignDocumentRecipientOverride
    • ESignDocumentCreateRequest
    • ESignRecipientCreateRequest
    • ESignRecipientUpdateRequest
    • ESignDocumentFile
    • ESignField
    • ESignFieldGroup
    • ESignRecipient
    • ESignActionRequiredRecipient
    • ESignActionRequired
    • ESignDocument
    • ESignFieldResponse
    • ESignCompletionCertificate
    • ESignDocumentDetail
    • ESignSendDocumentResponse
    • ESignReinitiateDocumentResponse
    • ESignDocumentUpdateRequest
    • ESignDocumentDuplicateRequest
    • ESignDocumentPage
    • ESignIframeSessionCreateRequest
    • ESignIframeSessionResponse
    • ESignResendDocumentRequest
    • ESignResendDocumentResponse
    • ESignVoidDocumentRequest
    • ESignVoidDocumentResponse
  1. E-sign Documents

Duplicate an e-sign document

POST
/esign/documents/{envelope_id}/duplicate/
Create a new draft copy of an existing e-sign document. The duplicate includes files, recipients, fields, routing, and editable email settings, but does not copy signing responses, completion artifacts, or terminal status. The duplicate remains draft until sent.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢201
application/json
Draft copy created.
Bodyapplication/json

🟠400BadRequest
🟠403Forbidden
🟠404NotFound
🔴500UnknownError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/esign/documents//duplicate/' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "string",
    "email_subject": "string",
    "email_message": "string",
    "completion_message": "string",
    "expires_at": "2019-08-24T14:15:22.123Z",
    "cc_emails": [
        "user@example.com"
    ],
    "self_sign": true,
    "expiry_alert_days": 1,
    "first_reminder_days": 1,
    "second_reminder_days": 1
}'
Response Response Example
201 - Example 1
{
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "template": "060ce75e-87d6-4677-b330-eaee58e54138",
    "agency": 0,
    "status": "draft",
    "user": 0,
    "name": "string",
    "completed_at": "2019-08-24T14:15:22.123Z",
    "email_subject": "string",
    "email_message": "string",
    "completion_message": "string",
    "resolved_email_subject": "string",
    "resolved_email_message": "string",
    "resolved_completion_message": "string",
    "related_check_id": "3709fbcd-594d-4a54-bc0b-041e6bbbea55",
    "related_custom_form_id": "c91a016b-8447-46eb-8b93-d31f6ffe4e76",
    "expires_at": "2019-08-24T14:15:22.123Z",
    "cc_emails": [
        "user@example.com"
    ],
    "created_at": "2019-08-24T14:15:22.123Z",
    "updated_at": "2019-08-24T14:15:22.123Z",
    "sent_at": "2019-08-24T14:15:22.123Z",
    "documents": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "envelope": "9aca662d-6a05-4586-b61d-f02733be3287",
            "file": "string",
            "name": "string",
            "order": 0,
            "created_at": "2019-08-24T14:15:22.123Z",
            "updated_at": "2019-08-24T14:15:22.123Z",
            "signed_url_TEMP": "http://example.com"
        }
    ],
    "recipients": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "envelope": "9aca662d-6a05-4586-b61d-f02733be3287",
            "role_name": "string",
            "name": "string",
            "email": "user@example.com",
            "phone_number": "string",
            "require_2fa": true,
            "two_fa_method": "sms",
            "verification_type": "quick_id",
            "verification_status": "pending",
            "verification_result": "PASS",
            "verification_signature_key": "string",
            "redirect_url": "http://example.com",
            "has_signed": true,
            "signed_at": "2019-08-24T14:15:22.123Z",
            "notified_at": "2019-08-24T14:15:22.123Z",
            "created_at": "2019-08-24T14:15:22.123Z",
            "order": 1,
            "fields": [
                {
                    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                    "envelope": "9aca662d-6a05-4586-b61d-f02733be3287",
                    "recipient": "31d78262-cbd4-4f35-8070-a83c4bfe5327",
                    "document": "ef592bd9-25ea-448f-8809-b37124cc7bef",
                    "field_type": "primary_contact_name",
                    "page_number": 1,
                    "x": 0,
                    "y": 0,
                    "width": 0,
                    "height": 0,
                    "label": "string",
                    "required": true,
                    "metadata": {
                        "property1": "string",
                        "property2": "string"
                    },
                    "default_value": {
                        "property1": "string",
                        "property2": "string"
                    },
                    "default_value_mode": "none",
                    "show_on_pdf": true,
                    "option_value": "string",
                    "group_id": "306db4e0-7449-4501-b76f-075576fe2d8f",
                    "group_name": "string",
                    "min_selections": 0,
                    "max_selections": 0
                }
            ],
            "field_groups": [
                {
                    "group_id": "306db4e0-7449-4501-b76f-075576fe2d8f",
                    "name": "string",
                    "field_type": "primary_contact_name",
                    "min_selections": 0,
                    "max_selections": 0,
                    "fields": [
                        {
                            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                            "envelope": "9aca662d-6a05-4586-b61d-f02733be3287",
                            "recipient": "31d78262-cbd4-4f35-8070-a83c4bfe5327",
                            "document": "ef592bd9-25ea-448f-8809-b37124cc7bef",
                            "field_type": "primary_contact_name",
                            "page_number": 1,
                            "x": 0,
                            "y": 0,
                            "width": 0,
                            "height": 0,
                            "label": "string",
                            "required": true,
                            "metadata": {
                                "property1": "string",
                                "property2": "string"
                            },
                            "default_value": {
                                "property1": "string",
                                "property2": "string"
                            },
                            "default_value_mode": "none",
                            "show_on_pdf": true,
                            "option_value": "string",
                            "group_id": "306db4e0-7449-4501-b76f-075576fe2d8f",
                            "group_name": "string",
                            "min_selections": 0,
                            "max_selections": 0
                        }
                    ]
                }
            ],
            "status": "waiting",
            "is_self_sign": true
        }
    ],
    "fields": [
        {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "envelope": "9aca662d-6a05-4586-b61d-f02733be3287",
            "recipient": "31d78262-cbd4-4f35-8070-a83c4bfe5327",
            "document": "ef592bd9-25ea-448f-8809-b37124cc7bef",
            "field_type": "primary_contact_name",
            "page_number": 1,
            "x": 0,
            "y": 0,
            "width": 0,
            "height": 0,
            "label": "string",
            "required": true,
            "metadata": {
                "property1": "string",
                "property2": "string"
            },
            "default_value": {
                "property1": "string",
                "property2": "string"
            },
            "default_value_mode": "none",
            "show_on_pdf": true,
            "option_value": "string",
            "group_id": "306db4e0-7449-4501-b76f-075576fe2d8f",
            "group_name": "string",
            "min_selections": 0,
            "max_selections": 0
        }
    ],
    "expiring_soon": true,
    "waiting_for_others": {
        "property1": "string",
        "property2": "string"
    },
    "action_required": [
        {
            "type": "voided",
            "message": "string",
            "recipients": [
                {
                    "recipient_id": "b6731cb5-d462-49ea-afb8-7933b670b560",
                    "name": "string",
                    "email": "user@example.com",
                    "status": "waiting",
                    "decline_reason": "string",
                    "failed_auth_attempts": 0,
                    "order": 0
                }
            ]
        }
    ],
    "voided_reason": "string",
    "voided_at": "2019-08-24T14:15:22.123Z",
    "is_reinitiate_required": true,
    "self_sign": true,
    "expiry_alert_days": 1,
    "first_reminder_days": 1,
    "second_reminder_days": 1
}
Previous
Delete an e-sign document
Next
Create an e-sign iframe builder session
Built with